curl --location 'https://api.stg.ordermesh.io/shipment/v1/order/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"merchantId": "1",
"vendorId": "2",
"facilityId": "3",
"facilityName": "Facility test",
"vendorName": "Vendor test",
"customerId": "4",
"customerShippingAddressId": 5,
"merchantPaymentId": "6",
"shippingCountryCode": "US",
"shippingCountryCodeISO": 236,
"shipmentStatus": 1,
"shippingMethod": null,
"isPollingStopped": false,
"orderExternalId": "1",
"merchantOrderId": null,
"safeId": "2",
"currencyCodeISO": 148,
"currencyCode": "USD",
"languageCodeISO": 40,
"languageCode": "US",
"transactionalCostModel": "transactional",
"orderCreatedDate": "2022-04-02T12:00:00",
"merchantOrderTotal": 123,
"merchantPackageTotal": 22,
"merchantTaxTotal": 55,
"merchantShippingTotal": 33,
"packageTotal": 321,
"taxTotal": 55,
"shippingTotal": 12,
"total": 32,
"costTotal": 43,
"costTaxTotal": 77,
"costShippingTotal": 42,
"costShippingTaxTotal": 93,
"orderItemIds": [
"a1f0a9cc-f66c-447f-b770-9b4884e9f02d"
],
"orderItems": [
{
"id": "a1f0a9cc-f66c-447f-b770-9b4884e9f02d",
"sku": "Sku-test",
"vendorSku": "VendorSku-test",
"variantId": "1",
"vendorProductId": "1",
"quantity": 1,
"merchantPrice": {
"currency": "USD",
"amount": 10,
"tax": 5
},
"price": {
"currency": "USD",
"amount": 10,
"tax": 5
},
"shortId": "I21832079",
"status": 1,
"images": [
{
"area": "Front",
"ourUrl": "https://files.example.com/image.png",
"ourFileId": "01KFNYM7GYPKTJ6ADP6WSMMH90",
"ourThumbnailUrl": null,
"ourThumbnailFileId": null,
"vendorReadyFileId": "01KCS3G3ZYMVW76YWTWCCH7GT6"
}
],
"isSample": false
}
],
"shippingAddress": {
"firstName": "John",
"lastName": "Doe",
"line1": "123 Main St",
"line2": "Suite 100",
"city": "New York",
"state": "NY",
"zip": "10001",
"countryCode": "US",
"phone": "555-123-4567",
"email": "john@example.com"
},
"orderShortId": "O20051638",
"reprint": {
"originalOrderId": "698ce35e531578b54a3a09ee",
"reasonId": "fcb29be3-64b8-41b0-a0ab-c7a39bb38d0e"
}
}'